#!python
# -*- coding: euc-jp -*-
#
#  TOPPERS Software
#      Toyohashi Open Platform for Embedded Real-Time Systems
#
#  Copyright (C) 2016-2017 by Center for Embedded Computing Systems
#                             Graduate School of Information Science, Nagoya Univ., JAPAN
#  Copyright (C) 2016-2017 by FUJI SOFT INCORPORATED, JAPAN
#  Copyright (C) 2016-2017 by NEC Communication Systems, Ltd., JAPAN
#  Copyright (C) 2016-2017 by SCSK Corporation, JAPAN
#  Copyright (C) 2016-2017 by SUZUKI MOTOR CORPORATION 
#  Copyright (C) 2016-2017 by TOSHIBA CORPORATION, JAPAN
#  Copyright (C) 2016-2017 by Witz Corporation
#
#  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
#  ܥեȥѤΤޤࡥʲƱˤѡʣ
#  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
#  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
#      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
#      ˴ޤޤƤ뤳ȡ
#  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
#      ѤǤǺۤˤϡۤȼɥȡ
#      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
#      ̵ݾڵǺܤ뤳ȡ
#  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
#      ѤǤʤǺۤˤϡΤ줫ξ
#      ȡ
#    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
#        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
#    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
#        𤹤뤳ȡ
#  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
#      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
#      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
#      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
#      դ뤳ȡ
#
#  ܥեȥϡAUTOSARAUTomotive Open System ARchitecture˻
#  ͤ˴ŤƤ롥嵭εϡAUTOSARŪ⻺Τ
#  ϤʤAUTOSARϡAUTOSARͤ˴ŤեȥŪ
#  ѤԤФơAUTOSARѡȥʡˤʤ뤳ȤƤ롥
#
#  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
#  TOPPERSץȤϡܥեȥ˴ؤơλŪ
#  ФŬޤơʤݾڤԤʤޤܥեȥ
#  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
#  Ǥʤ
#
# $Id: def.py 122 2015-07-17 01:31:28Z ertl-honda $
#

# Source Dir
SRCDIR = "../../src/atk2-sc1/"

# Configfile name
CFGNAME = ['Ecuc_CO',
           'target_hw_counter']

# Target board
TARGET = "hsbrh850f1l_ccrh"

# Target mcu
TARGET_MCU = 'R7F701025xAFP'

# Application files
app_app_files = ['../../src/EcuM/C_Init_Code.c',
                 '../../src/EcuM/EcuM.c',
                 '../../src/EcuM/EcuM_StartupTask.c',
                 '../../src/system-services/SystemServices_cfg.c',
                 '../../src/a-comstack/com/Com.c',
                 '../../src/a-comstack/canif/CanIf.c',
                 '../../src/a-comstack/can/Can.c',
                 '../../src/a-comstack/can/target/hsbrh850f1l_ccrh/Can_Irq.c',
                 '../../src/a-comstack/can/arch/rs_can/Can_Prc.c',
                 '../../src/application/DriveManager.c',
                 '../../src/application/LedBlinker.c',
                 '../../src/application/OperationManager.c',
                 '../../src/application/CddController.c',
                 '../../src/application/Os_Hook.c',
                 '../../src/application/RcCar.c',
                 '../../src/application/Wrapper.c',
                 '../../src/driver/hsbrh850f1l_device.c',
                 '../../src/driver/rcb3.c',
                 '../../src/driver/rlin3x.c',
                 '../../src/driver/driver_if.c',
                 '../../src/driver/taub_pwm.c',
                 'Com_PBcfg.c',
                 'CanIf_PBcfg.c',
                 'CanIf_Lcfg.c',
                 'Can_PBcfg.c',
                 'Rte.c']

# Addition Dir list (relative path from srcdir)
USER_INCLUDE = ['../EcuM',
                '../system-services',
                '../a-comstack/stub',
                '../a-comstack/general',
                '../a-comstack/com',
                '../a-comstack/pdur',
                '../a-comstack/canif',
                '../a-comstack/can',
                '../a-comstack/can/arch/rs_can',
                '../a-comstack/can/arch/ccrh',
                '../a-comstack/can/target/hsbrh850f1l_ccrh',
                '../stub',
                '../application',
                '../driver']

# Addition Macro Definitions
USER_MACRO = []

# Copy sample1
COPY_SAMPLE1 = False
