/*
 *  Copyright (C) 2016-2017 by Center for Embedded Computing Systems
 *                             Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2016-2017 by FUJI SOFT INCORPORATED, JAPAN
 *  Copyright (C) 2016-2017 by NEC Communication Systems, Ltd., JAPAN
 *  Copyright (C) 2016-2017 by SCSK Corporation, JAPAN
 *  Copyright (C) 2016-2017 by SUZUKI MOTOR CORPORATION 
 *  Copyright (C) 2016-2017 by TOSHIBA CORPORATION, JAPAN
 *  Copyright (C) 2016-2017 by Witz Corporation
 *
 *  L쌠҂́Cȉ(1)`(4)̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEE
 *  ρEĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 *      ܂C{\tgEFÃ[U܂̓Gh[ÛȂ闝
 *      RɊÂCL쌠҂TOPPERSvWFNg
 *      Ɛӂ邱ƁD
 *
 *  {\tgEFÁCAUTOSARiAUTomotive Open System ARchitecturejd
 *  lɊÂĂDL̋́CAUTOSAR̒mIŶ
 *  ͂ȂDAUTOSAŔCAUTOSARdlɊÂ\tgEFApړIŗ
 *  p҂ɑ΂āCAUTOSARp[gi[ɂȂ邱Ƃ߂ĂD
 *
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړI
 *  ɑ΂K܂߂āCȂۏ؂sȂD܂C{\tgEF
 *  A̗pɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC
 *  ̐ӔC𕉂ȂD
 *
 *  $Id: CommunicationServices.c 814 2017-03-10 07:11:37Z fsi-masayam $
 */

/*
 *		CommunicationServicesvO
 */
#include "can_if.h"
#include "CommunicationServices.h"

/*
 *  {fBnւ̑Mobt@
 */
volatile BODYCMD g_bodycmd;

/*
 *  MƂ邩
 */
boolean g_bodycmd_canmsg_cyclic = FALSE;

/*
 *  CommunicationServices
 */
void
ComServicesInit(void)
{
	tCanInit();
	tCanEnable();

	return;
}

/*
 *  {fBnR}hCANbZ[W𑗐M
 */
void
SendBodyCmdCanMag(void)
{
	uint8 tx_data[2];
	/* O񑗕t̏ */
	static BODYCMD g_pre_bodycmd;

	/* ԎwɕωΑMȂ */
	if (!g_bodycmd_canmsg_cyclic){
		if((g_bodycmd.headlamp == g_pre_bodycmd.headlamp)  &&
		   (g_bodycmd.foglamp   == g_pre_bodycmd.foglamp)  &&
		   (g_bodycmd.brakelamp == g_pre_bodycmd.brakelamp)&&
		   (g_bodycmd.backlamp  == g_pre_bodycmd.backlamp) &&
		   (g_bodycmd.buzzer    == g_pre_bodycmd.buzzer)   && 
		   (g_bodycmd.winker    == g_pre_bodycmd.winker)) {
			return;
		}
	}

	/* MbZ[W𐶐 */
	tx_data[0] = ((g_bodycmd.headlamp  << 7) &  0x80) | 
				 ((g_bodycmd.foglamp   << 6) &  0x40) |
				 ((g_bodycmd.brakelamp << 5) &  0x20) |
				 ((g_bodycmd.backlamp  << 4) &  0x10) |
				 ((g_bodycmd.buzzer    << 2) &  0x0c);
	tx_data[1] = ((g_bodycmd.winker    << 5) &  0xe0);

	tCanSetTxData(BODYCMD_CANMSG_TXMBOX_ID, BODYCMD_CANMSG_ID, tx_data, 2);

	g_pre_bodycmd = g_bodycmd;

	return;
}

